Article ID: 2600213 - View products that this article applies to.
Expand all | Collapse all

On This Page

Introduction

This article describes Multi-Targeting Pack for the Microsoft .NET Framework 4.0.3. This multi-targeting pack adds support for the new APIs that are introduced in Update 4.0.3 for Microsoft .NET Framework 4 – Runtime Update.

For more information about Update 4.0.3 for Microsoft .NET Framework 4 – Runtime Update, click the following article number to view the article in the Microsoft Knowledge Base:
2600211 Update 4.0.3 for Microsoft .NET Framework 4 – Runtime Update
For more information about multi-targeting packs for the .NET Framework, visit the following Microsoft website:
General information about multi-targeting packs for the .NET Framework
Note If you installed the Beta version of this update previously then we recommend that you uninstall Multi-Targeting Pack for the Microsoft .NET Framework 4.0.3 Beta from Control Panel before you install this update.
2599652 Multi-Targeting Pack for the Microsoft .NET Framework 4.0.3 Beta


MORE INFORMATION

Multi-Targeting Pack for the Microsoft .NET Framework 4.0.3 is included in Update 4.0.3 for Microsoft .NET Framework 4 - Design-Time Update for Visual Studio 2010 SP1. This multi-targeting pack installs new reference assemblies, IntelliSense files, and other supporting files.

For more information about the design-time update, click the following article number to view the article in the Microsoft Knowledge Base:
2600214 Update 4.0.3 for Microsoft .NET Framework 4 - Design-Time Update for Visual Studio 2010 SP1
Notes
  • The target frameworks added by this update to Microsoft Visual Studio for projects to use are ".NET Framework 4.0.3" and ".NET Framework 4.0.3 Client Profile."
  • After you apply this multi-targeting pack, you can build new projects that use the .NET Framework 4.0.3.

    Note You can build new projects that use the features that are introduced in .NET Framework 4.0.1, .NET Framework 4.02, or .NET Framework 4.0.3 runtimes.
  • Multi-Targeting Pack for the Microsoft .NET Framework 4.0.3 is cumulative. It includes all the related files from multi-targeting packs for the .NET Framework 4.0.1 and for the .NET Framework 4.0.2. Therefore, you do not have to install the previous multi-targeting packs separately after you install Multi-Targeting Pack for the Microsoft .NET Framework 4.0.3 for building any new projects.
  • But the Multi-Targeting Pack for the Microsoft .NET Framework 4.0.3 exposes only .NET Framework 4.0.3 targets. For example, this update exposes only the .NET Framework 4.0.3 targeting, and does not expose the targeting for the .NET Framework 4.0.1 or for the .NET Framework 4.0.2.
  • The targeting for the .NET Framework 4.0.1 and the .NET Framework 4.0.2 can coexist with the targeting for the .NET Framework 4.0.3. You can still use the previous targeting for any existing projects built for the .NET Framework 4.0.1 and for the .NET Framework 4.0.2. However, each version has to be installed by using its own installation package.

    For more information about .NET Framework 4.0.1 or .NET Framework 4.0.2 multi-targeting packs, click the following article number to view the article in the Microsoft Knowledge Base:

    2495638 Multi-Targeting Pack for the Microsoft .NET Framework 4.0.1
    2544526 Multi-Targeting Pack for the Microsoft .NET Framework 4.0.2
  • When you open a project that uses the .NET Framework 4.0.3 on a computer that is running Visual Studio, you receive the following error message if the corresponding multi-targeting pack is not installed:
    Project Target framework Not Installed

    This error message indicates that the required multi-targeting pack is not installed. To resolve this issue, install the required multi-targeting pack that is described in the "Update Information" section.


Update information

Multi-Targeting Pack for the .NET Framework 4.0.3 is included in the update that is described in the following Microsoft Knowledge Base article:
2600214 Update 4.0.3 for Microsoft .NET Framework 4 - Design-Time Update for Visual Studio 2010 SP1

If you develop applications for the .NET Framework 4.0.3 in Visual Studio 2010 SP1, download Design-Time Update from the following Microsoft Download Center website:

Collapse this imageExpand this image
Download
Download the package now.

For more information about the available .NET Framework multi-targeting packs for Visual Studio 2010, visit the following website:

If you are developing applications for the .NET Framework 4.0.3 on any major product version that is later than Visual Studio 2010, then you can directly download the multi-targeting pack from the following Microsoft Download Center website. We recommend that you do not use the following update package to set up your design-time in Visual Studio 2010 or Visual Studio 11 Developer Preview:

Collapse this imageExpand this image
Download
Download the package now.

For more information about Visual Studio 11 Developer Preview, visit the following MSDN website:

Visual Studio 11 Developer Preview

For more information about how to download Microsoft support files, click the following article number to view the article in the Microsoft Knowledge Base:
119591 How to obtain Microsoft support files from online services
Microsoft scanned this file for viruses. Microsoft used the most current virus-detection software that was available on the date that the file was posted. The file is stored on security-enhanced servers that help prevent any unauthorized changes to the file.

Prerequisites

To install this update, you must have the following software installed:

Command-line switches for this update

For more information about Windows Installer command-line switches, visit the following Microsoft website:

General information about Windows Installer command-line switches
For more information about Windows Installer, visit the following Microsoft website:

General information about Windows Installer

Restart requirement

You have to restart the computer after you install this update if the files that are being updated are locked or are being used when you install this update.

Known issues with this update

Click here to view or hide detailed information

Issue 1
When you use Visual Studio 2010 SP1 to build a website or a web application that uses the .NET Framework 4.0.3, an error occurs if the Web.config file is re-created.

Cause
This issue occurs because an incorrect value for the targetFramework attribute is written to the Web.config file.

Resolution
To resolve this issue, open the Web.config file, and then manually change the value of the targetFramework attribute to 4.0.3.

Issue 2
When you create a new Visual Studio add-in project, you receive the following error message if you set the target framework to .NET Framework 4.0.3:
Visual Studio Add-in Wizard: An error occurred, and the wizard could not generate the project. Verify that the programming language is properly installed.

Resolution
To resolve this issue, follow these steps:
  1. Set the target framework to .NET Framework 4 when you create the Visual Studio add-in project.
  2. Set the target framework for the add-in project to .NET Framework 4.0.3 after the project is created.
Issue 3
When you create a C++ common language runtime (CLR) application in Visual Studio 2010 SP1 that targets the .NET Framework 4.0.3, the target framework version remains as the .NET Framework 4 and you cannot use the new features from the .NET Framework 4.0.3.

Cause
This issue occurs because Visual Studio 2010 cannot insert the correct target framework version in the corresponding project file (.vcxproj).

The value remains as following in the project file though the project is created for the .NET Framework 4.0.3:

<TargetFrameworkVersion>v4.0</TargetFrameworkVersion>

Resolution
To resolve this issue, open the C++ project file in notepad, change the TargetFrameworkVersion to 4.0.3 manually, and then reopen your project.

<TargetFrameworkVersion>v4.0.3</TargetFrameworkVersion>


Update removal information

To remove this update, use the Add or Remove Programs item in Control Panel.

Update replacement information

This update does not replace a previously released update.

File information

Click here to view or hide detailed information

Properties

Article ID: 2600213 - Last Review: June 5, 2012 - Revision: 2.0
APPLIES TO
  • Microsoft .NET Framework 4
Keywords: 
kbqfe kbfix kbsurveynew kbexpertiseadvanced atdownload kbcip KB2600213

Give Feedback

 

Contact us for more help

Contact us for more help
Connect with Answer Desk for expert help.
Get more support from smallbusiness.support.microsoft.com